package cap03.demo;

import java.sql.DriverManager;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

public class DemoSelect {

	public static void main(String[] args) {
		
		//Parametros de la conexion
		String user = "root";
		String pwd = "";
		//String driver = "org.hsqldb.jdbc.Driver";
		//String url = "jdbc:hsqldb:hsql://localhost/xdb";
		
		Connection conexion = null;
		PreparedStatement pstm = null;
		String sql;
		ResultSet resultado = null;
		
		try {
			/*
			 * ------------------------------------------------------
			 * 					PARTE 1 (levantar el driver y establecer la relacion)
			 * ------------------------------------------------------
			 * */
			
			//levanto el driver
			//Class.forName(driver);
			Class.forName("com.mysql.jdbc.Driver").newInstance();
			//establezco conexion
			//conexion = DriverManager.getConnection(url,user,pwd);
			Connection conn=DriverManager.getConnection("jdbc:mysql://localhost/xdb",user,pwd);
			
			/*
			 * ------------------------------------------------------
			 * 					PARTE 2 (ejecutar el query, iterarlo y mostrar los datos por pantalla)
			 * ------------------------------------------------------
			 * */
			
			//defino un query
			sql = "SELECT empno,ename,hiredate,dptno FROM emp";
			//preparo la consulta
			pstm = conexion.prepareStatement(sql);
			//Ejecuto la consulta
			resultado = pstm.executeQuery();
			//itero los resultados y los muestro por pantalla
			while (resultado.next()) {
				System.out.print(resultado.getInt("empno") + ", ");
				System.out.print(resultado.getString("ename") + ", ");
				System.out.print(resultado.getDate("hiredate") + ", ");
				System.out.println(resultado.getInt("deptno"));
			}
			
		} catch(Exception ex) {
			
			ex.printStackTrace();
			throw new RuntimeException(ex);
			
		} finally {
			try {
				/*
				 * ------------------------------------------------------
				 * 					PARTE 3 (cerrar la conexion)
				 * ------------------------------------------------------
				 * */
				
				//cierro todos los recursos en sentido inverso al que fueron adquiridos
				if(resultado!=null) {
					resultado.close();
				}
				if(pstm != null) {
					pstm.close();
				}
				if(conexion!=null) {
					conexion.close();
				}
				
			} catch(Exception ex) {
				
				ex.printStackTrace();
				throw new RuntimeException(ex);
				
			}
		}
		
	}

}
